.navbar,
.navList,
.flex-display {
  display: flex;
  justify-content: center;
  align-items: center;
}
.navbar {
  height: 5em;
  justify-content: space-between;
  margin: 0 4em 0 3em;
}
.nav img {
  width: 14em;
}
.navList {
  gap: 3em;
  margin-right: auto;
  transition: opacity 0.3s, transform 0.3s;
}
.navList li {
  cursor: pointer;
}
.dropdown-content {
  display: none;
  flex-direction: column;
  position: absolute;
  min-width: 160px;
  box-shadow: 0 8px 16px var(--gray);
  z-index: 1;
  text-align: left;
  margin-top: 1em;
  border-radius: var(--border-radius);
}
.dropdown.active .dropdown-content {
  display: flex;
}
.dropdown-item {
  color: white;
  padding: 1em;
  display: block;
  background-color: var(--black);
}

.dropdown-item:hover,
.dropdown-item:active {
  background-color: var(--orange-lighter);
  color: var(--black);
  font-weight: 600;
}

.navList li:hover,
.navList li:active {
  color: var(--orange);
}

.menu {
  display: none;
  position: relative;
}
.menu i {
  font-size: 1.7em;
}
.navList.active {
  display: flex;
  flex-direction: column;
  border: 1px solid var(--orange);
  background-color: black;
  position: fixed; /* Change to fixed */
  transform: translateX(-50%);
  padding: 4em 20em 4em 1em;
  z-index: 2;
  font-size: 1.3em;
  text-align: left;
  border-radius: var(--border-radius);
}
#hidden {
  display: none;
}
